// ---------------------------------------------------------------------------------------
// File Name    : CanvasWidget.h
// Created      : 27.11.2013 by Bogdan Cosescu
// Description  : Canvas widget
// ---------------------------------------------------------------------------------------

#pragma once

#include <Wt/WPaintedWidget>
#include <Wt/WPointF>

class CCanvasWidget : public Wt::WPaintedWidget
{

public:
    
    CCanvasWidget(Wt::WContainerWidget *parent = 0);
    ~CCanvasWidget();

    void            OnEvent         ();
    //overrides
protected:

    void            OnTimer         ();
    virtual void    paintEvent      (Wt::WPaintDevice *paintDevice);

    void            InserImage      (int x, int y, const char* strResource);
};